button.timeline-button-bottom:hover {
  background: #c9ddfb;
}
.timeline-button-bottom {
  margin-top: 16px;
  margin-inline: auto;
  padding: 5px 32px;
  display: block;
  border-radius: 100px;
  transition: all .2s ease;
  border: unset;
}

.timeline {
  margin-block: 64px;
  color: #fff;
  position: relative;
}
.timeline:before {
  content: '';
  display: block;
  width: 200vh;
  height: calc(100% + 64px);
  background-color: #033d71;
  position: absolute;
  left: calc(50% - 100vh);
  top: -32px;
  z-index: -1;
}
.timeline .custom-modal {
  color: initial;
}
.timeline .timeline-steps {
  display: flex;
  /* flex-wrap: wrap; */
}

.timeline .timeline-steps .timeline-step {
  align-items: center;
  display: flex;
  flex-direction: column;
  position: relative;
  margin: 1rem
}
.timeline .timeline-steps .timeline-step .timeline-content .date-event {
  font-weight: 600;
}

.timeline .timeline-steps .timeline-content {
  width: 10rem;
  text-align: center
}
.timeline .timeline-steps button.timeline-content {
  background: transparent;
  color: #fff;
}
.timeline .timeline-steps button.timeline-content:not(:focus) { border: unset; }
.timeline .timeline-steps button.timeline-content:hover .inner-circle  {
  background-color: #6b97d8;
}
.timeline .timeline-steps button.timeline-content:hover .title  {
  text-decoration: underline;
}

.timeline .timeline-steps .timeline-content .title {
  font-size: 16px;
  margin: 0;
}

.timeline .timeline-steps .timeline-content .inner-circle {
  background-color: #3d628c;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
  height: 48px;
  width: 48px;
  border-radius: 6.25rem;
  border: 1px solid #fff;
  color: #fff;
  font-size: 20px;
  font-weight: bold;
  transition: all .2s ease;
  flex-shrink: 0;
  position: relative;
}
.timeline .timeline-steps .timeline-content .step-icon {
  height: 48px;
  width: 48px;
  border-radius: 6.25rem;
  object-fit: cover;
  transition: all .2s ease;
}
.timeline .timeline-steps .timeline-content:hover .step-icon {
  transform: scale(1.08);
}

@media (max-width:768px) {
  .timeline-wrapper.with-image {
    display: flex;
    flex-direction: column;
    gap: 32px;
  }

  .timeline .container .col-main{ padding: 0; }
  .timeline .timeline-steps {
    flex-direction: column;
    align-items: center;
    position: relative;
  }

  .timeline-container { position: relative; }
  .timeline-container::before {
    content: "";
    display: block;
    position: absolute;
    left: 36px;
    top: 0;
    width: 2px;
    height: 100%;
    background-color: #fff;
    z-index: -1;
  }

  .timeline .timeline-steps .timeline-step:before {
    content: "";
    display: block;
    background-color: #033d71;
    width: 48px;
    height: 85%;
    position: absolute;
    left: 12px;
    top: 50%;
    transform: translateY(-50%);
    z-index: -1;
  }
  .timeline .timeline-steps .timeline-step.first-child::before {
    height: 90%;
    transform: unset;
    top: 0;
  }
  .timeline .timeline-steps .timeline-step.last-child::before {
    height: 90%;
    transform: unset;
    bottom: 0;
    top: unset;
  }

  .timeline .timeline-steps .timeline-step {
    margin: 0;
    align-self: flex-start;
  }
  .timeline .timeline-steps .timeline-content {
    margin: 1.2rem 0;
    display: flex;
    flex-direction: row;
    gap: 14px;
    align-items: center;
    padding: 0 12px;
    width: fit-content;
    text-align: left;
  }

  .timeline-wrapper .timeline-img {
    width: calc(100% + 12px);
    transform: translateX(-6px);
  }

  .timeline .timeline-subtitle.dsk { display: none; }
}

@media (min-width:768px) {
  .timeline-wrapper.with-image {
    display: flex;
    align-items: center;
    gap: 32px;
  }

  .timeline-wrapper .timeline-img {
    width: 400px;
  }

  .timeline .timeline-steps .timeline-step:not(:last-child):after {
    content: "";
    display: block;
    border-top: 2px solid #fff;
    width: 3.46rem;
    position: absolute;
    left: 7.5rem;
    top: 21px;
  }
  .timeline .timeline-steps .timeline-step:not(:first-child):before {
    content: "";
    display: block;
    border-top: 2px solid #fff;
    width: 3.8125rem;
    position: absolute;
    right: 7.5rem;
    top: 21px;
  }

  .timeline .timeline-steps .timeline-step:first-child {
    margin-left: 0;
  }
  .timeline .timeline-steps .timeline-step:last-child {
    margin-right: 0;
  }

  .timeline .timeline-steps .timeline-content .title {
    margin-top: 1rem;
    text-align: center;
  }
  .timeline .timeline-subtitle.mobile { display: none; }
}

@media (min-width:768px) and (max-width:1260px) {
  .timeline-wrapper .timeline-img {
    width: 340px;
  }
  .timeline-wrapper.with-image {
    gap: 16px;
  }
  .timeline .timeline-steps .timeline-step {
    margin: 0.3rem;
  }
  .timeline .timeline-steps .timeline-content {
    width: 9rem;
  }
}
